<template>
    <div>
        <h4>
            <code>{{ command }}</code>
            <base-badge v-if="!auth">No authentication needed</base-badge>
            <base-badge v-if="auth && user === 'guest'">Authentication needed</base-badge>
            <base-badge v-if="auth && user === 'user'">Normal user required</base-badge>
            <base-badge v-if="auth && user === 'admin'">Operator user required</base-badge>
            <base-badge v-if="front === 'open'">Frontend needs to be open</base-badge>
            <base-badge v-if="front === 'restricted'">Frontend needs to be restricted or open</base-badge>
            <base-badge v-if="front === 'closed'">Frontend can be closed, restricted or open</base-badge>
        </h4>
        <p>
            <slot name="description" />
        </p>
        <slot name="request" />
        <base-code-group>
            <base-code-block label="Success" active>
                <slot name="success-response" />
            </base-code-block>
            <slot name="errors" />
        </base-code-group>
    </div>
</template>

<script>
export default {
    props: {
        command: {
            type: String,
            required: true
        },
        auth: {
            type: Boolean
        },
	// "open", "restricted" or "closed"
        front: {
            type: String,
            default: 'open'
        },
        // "guest", "user", "admin"
        // Only useful if auth is true
        user: {
            type: String,
            default: 'user'
        }
    }
}
</script>
